Bug 12205 - duplicate lilo.conf stanza for other OS during upgrade
Summary: duplicate lilo.conf stanza for other OS during upgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-13 17:33 UTC by James Manning
Modified: 2007-03-27 03:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-12 20:31:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2000-06-13 17:33:34 UTC
Using beta1 pcmcia.img to FTP install against ftp.beta.redhat.com on
Prostar 8680 laptop.  Upgrade from RH 6.1.  lilo.conf before upgrade 
included normal 2.2.12-20 stanza with label=linux, 2 2.3.x stanzas with 
labels of their kernel version, and other=/dev/hda1, label=win98

lilo.conf gets rewritten, but lilo itself either doesn't get run or (much 
more likely) fails to run successfully.  The in-place lilo.conf already 
had an other=/dev/hda1 with label="win98".  During the upgrade process it 
defaulted to "dos" as the label to give hda1, but I renamed it to win98.  
Apparently it didn't catch that a stanza was already in place with that 
label, and most likely lilo failed with the same message it failed with 
when I booted (into 2.2.12-20, the kernel from before the upgrade) and re-
ran lilo to attempt to boot into the 2.2.14-100 kernel instead:

Fatal: Duplicate label "win98"

Fix will most likely involve duplicating the logic added (during 6.2beta 
iirc) to not repeat label=linux stanzas, I'd imagine.

Comment 1 Brock Organ 2000-06-16 19:58:17 UTC
verified in test ... thanks for the report!

Comment 2 Erik Troan 2000-07-12 20:31:55 UTC
Fixed in beta 2

Comment 3 Brock Organ 2000-07-12 23:04:36 UTC
this fix is verified in winston beta2 ...


Note You need to log in before you can comment on or make changes to this bug.